## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csView Class Reference

The csView class encapsulates the top-level Crystal Space renderer interface. More...

`#include <cstool/csview.h>`

Inheritance diagram for csView:

[legend]
List of all members.

## Public Member Functions

virtual void | AddViewVertex (int x, int y)
| Add a vertex to clipping polygon (non-rectangular clipping).
virtual void | ClearView ()
| Clear clipper in order to start building a polygon-based clipper.
| csView (iEngine *iEngine, iGraphics3D *ig3d)
| Constructor.
virtual void | Draw ()
| Draw 3D world as seen from the camera.
virtual iCamera * | GetCamera ()
| Get current camera.
virtual iClipper2D * | GetClipper ()
| Return the clipper.
virtual iGraphics3D * | GetContext ()
| Get Context.
virtual iEngine * | GetEngine ()
| Get engine handle.
virtual void | RestrictClipperToScreen ()
| Clip the view clipper to the screen boundaries.
virtual void | SetAutoResize (bool state)
| Enable / Disable automatic resizing.
virtual void | SetCamera (iCamera *c)
| Set current camera.
virtual void | SetContext (iGraphics3D *ig3d)
| Set Context.
virtual void | SetEngine (iEngine *e)
| Set engine handle.
virtual void | SetRectangle (int x, int y, int w, int h)
| Set clipping rectangle.
virtual void | UpdateClipper ()
| Update the Clipper. This is usually called from Draw.
virtual | ~csView ()
| Destructor.

## Detailed Description

The csView class encapsulates the top-level Crystal Space renderer interface.

It is basically a camera and a clipper.

Definition at line 40 of file csview.h.

## Constructor & Destructor Documentation

csView::csView | ( | iEngine * | iEngine,
|  | iGraphics3D * | ig3d
| ) |

| Constructor.

virtual csView::~csView | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void csView::AddViewVertex | ( | int | x,
|  | int | y
| ) | `[virtual]`

| Add a vertex to clipping polygon (non-rectangular clipping). Implements iView.

virtual void csView::ClearView | ( |  | ) | `[virtual]`

| Clear clipper in order to start building a polygon-based clipper. Implements iView.

virtual void csView::Draw | ( |  | ) | `[virtual]`

| Draw 3D world as seen from the camera. Implements iView.

virtual iCamera* csView::GetCamera | ( |  | ) | `[virtual]`

| Get current camera. Implements iView.

virtual iClipper2D* csView::GetClipper | ( |  | ) | `[virtual]`

| Return the clipper. Implements iView.

virtual iGraphics3D* csView::GetContext | ( |  | ) | `[virtual]`

| Get Context. Implements iView.

virtual iEngine* csView::GetEngine | ( |  | ) | `[virtual]`

| Get engine handle. Implements iView.

virtual void csView::RestrictClipperToScreen | ( |  | ) | `[virtual]`

| Clip the view clipper to the screen boundaries. Implements iView.

virtual void csView::SetAutoResize | ( | bool | state | ) | `[inline, virtual]`

| Enable / Disable automatic resizing. Implements iView. Definition at line 98 of file csview.h.

virtual void csView::SetCamera | ( | iCamera * | c | ) | `[virtual]`

| Set current camera. Implements iView.

virtual void csView::SetContext | ( | iGraphics3D * | ig3d | ) | `[virtual]`

| Set Context. Implements iView.

virtual void csView::SetEngine | ( | iEngine * | e | ) | `[virtual]`

| Set engine handle. Implements iView.

virtual void csView::SetRectangle | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) | `[virtual]`

| Set clipping rectangle. Implements iView.

virtual void csView::UpdateClipper | ( |  | ) | `[virtual]`

| Update the Clipper. This is usually called from Draw. Implements iView.

The documentation for this class was generated from the following file:

- cstool/csview.h